| OpenCV 5.0.0alpha Open Source Computer Vision

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | List of all members
cv::videostab::ImageMotionEstimatorBase Class Referenceabstract
Video Stabilization » Global Motion Estimation

Base class for global 2D motion estimation methods which take frames as input. More...

`#include <opencv2/videostab/global_motion.hpp>`

Collaboration diagram for cv::videostab::ImageMotionEstimatorBase:

## Public Member Functions
virtual | ~ImageMotionEstimatorBase ()
virtual Mat | estimate (const Mat &frame0, const Mat &frame1, bool *ok=0)=0
virtual MotionModel | motionModel () const
virtual void | setFrameMask (InputArray mask)
virtual void | setMotionModel (MotionModel val)

## Protected Member Functions
| ImageMotionEstimatorBase (MotionModel model)

## Detailed Description

Base class for global 2D motion estimation methods which take frames as input.

## Constructor & Destructor Documentation

## ◆ ~ImageMotionEstimatorBase()

virtual cv::videostab::ImageMotionEstimatorBase::~ImageMotionEstimatorBase | ( |  | ) |
| inline virtual

## ◆ ImageMotionEstimatorBase()

cv::videostab::ImageMotionEstimatorBase::ImageMotionEstimatorBase | ( | MotionModel | model | ) |
| inline protected

## Member Function Documentation

## ◆ estimate()

virtual Mat cv::videostab::ImageMotionEstimatorBase::estimate | ( | const Mat & | frame0,
|  | const Mat & | frame1,
|  | bool * | ok = 0 )
| pure virtual

Implemented in cv::videostab::FromFileMotionReader, cv::videostab::KeypointBasedMotionEstimator, and cv::videostab::ToFileMotionWriter.

## ◆ motionModel()

virtual MotionModel cv::videostab::ImageMotionEstimatorBase::motionModel | ( |  | ) | const
| inline virtual

Reimplemented in cv::videostab::KeypointBasedMotionEstimator, and cv::videostab::ToFileMotionWriter.

## ◆ setFrameMask()

virtual void cv::videostab::ImageMotionEstimatorBase::setFrameMask | ( | InputArray | mask | ) |
| inline virtual

Reimplemented in cv::videostab::KeypointBasedMotionEstimator, and cv::videostab::ToFileMotionWriter.

## ◆ setMotionModel()

virtual void cv::videostab::ImageMotionEstimatorBase::setMotionModel | ( | MotionModel | val | ) |
| inline virtual

Reimplemented in cv::videostab::KeypointBasedMotionEstimator, and cv::videostab::ToFileMotionWriter.

The documentation for this class was generated from the following file:

- opencv2/videostab/global_motion.hpp